Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Mar 2021 09:43:29 +0200

> Cc: "[email-masked]" <[email-masked]>,
>  "[email-masked]" <[email-masked]>, Stefan Kangas <[email-masked]>
> Date: Sat, 13 Mar 2021 06:08:31 +0000
> From:  scame via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> >
> > The purpose of quotes in Texinfo output is to make semantic
> > distinctions. In other words, to show what kind of role that text
> > plays in the program being documented.
> 
> In the main body of the Help text only symbols are linked AFAIK. Is
> that right?
> 
> So the quotes don't convey any extra meaning and the symbols are linked,
> so they can be clicked to instantly see their documentation. The quotes
> are just extra noise in the rendered output, breaking the visual flow of
> the text unnecessarily.

Help buffers are not directly related to Texinfo.  However, we had
already some complaints in the past about the differences between
those two, so I think it would make sense not to make them diverge any
further.

Your opinion that the quotes are visual noise is noted (you expressed
it several times already), but it doesn't mean we must accept it.

Since the quotes are present in the original doc strings (and will
stay there, for sure), the implementation of your proposal would be to
remove them when we generate the "buttons" (a.k.a. "links") for them
in the Help buffer.  So, if people feel that removing the quotes could
be desired by some users, how about making it optional, by default
off?